<template>
  <v-dialog
    width="50%"
    height="auto"
    v-model="selectedValue"
    name="edit_client_receipt"
  >
    <v-card>
      <v-card-title class="light"
        >A jeni të sigurtë për fshirjen e mandatit ?</v-card-title
      >
      <v-card-actions>
        <v-spacer />
        <f-cancel-btn @click="selectedValue = false" />
        <f-submit-btn
          @click="deleteReceipt"
          :loading="loading"
          :disabled="loading"
        />
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>

<script lang="ts">
import { Component, Vue, Prop } from 'vue-property-decorator'
import api from '@/plugins/api'
import FSubmitBtn from '@/components/buttons/FSubmitBtn.vue'
import FConfirmBtn from '@/components/buttons/FConfirmBtn.vue'
import FCancelBtn from '@/components/buttons/FCancelBtn.vue'

@Component({ components: { FCancelBtn, FConfirmBtn, FSubmitBtn } })
export default class ClientSelect extends Vue {
  @Prop({ required: true }) value!: string
  @Prop({ type: Object }) receipt!: any
  loading = false

  public get selectedValue() {
    return this.value
  }

  public set selectedValue(newValue: string) {
    this.$emit('input', newValue)
  }

  deleteReceipt() {
    this.loading = true
    api()
      .delete(`/api/account-management/receipts/${this.receipt.id}`)
      .then(response => {
        alert(response.data.message)
        this.$emit('refresh')
        this.$emit('close')
      })
      .catch(error => {
        alert(error.message)
      })
      .finally(() => {
        this.loading = false
      })
  }
}
</script>
